data:extend(
{
  {
    type = "recipe",
    name = "wood",
	energy_required = 1,	
    ingredients = {{"raw-wood", 1}},
    result = "wood",
    result_count = 2
  },
  {
    type = "recipe",
    name = "wooden-chest",
	energy_required = 1,	
    ingredients = {{"wood", 6}},
    result = "wooden-chest"
  },
  {
    type = "recipe",
    name = "iron-stick",
	energy_required = 1,	
    ingredients = {{"iron-plate", 1}},
    result = "iron-stick",
    result_count = 2
  },
  {
    type = "recipe",
    name = "iron-axe",
	energy_required = 1,	
    ingredients = {{"iron-stick", 2}, {"iron-plate", 1}},
    result = "iron-axe"
  },
  {
    type = "recipe",
    name = "stone-furnace",
	energy_required = 8,	
    ingredients = {{"stone-brick", 24}},
    result = "stone-furnace"
  },
  {
    type = "recipe",
    name = "boiler",
	energy_required = 1,	
    ingredients = {{"stone-brick", 6}, {"pipe", 1}},
    result = "boiler"
  },
  {
    type = "recipe",
    name = "steam-engine",
	energy_required = 12,	
    ingredients =
    {
      {"iron-gear-wheel", 24},
      {"pipe", 6},
      {"iron-plate", 32}
    },
    result = "steam-engine"
  },
  {
    type = "recipe",
    name = "iron-gear-wheel",
	energy_required = 1,		
    ingredients = {{"iron-plate", 1}},
    result = "iron-gear-wheel",
	result_count = 2
  },
  {
    type = "recipe",
    name = "electronic-circuit",
	energy_required = 1,		
    ingredients =
    {
      {"iron-plate", 1},
      {"copper-cable", 2}
    },
    result = "electronic-circuit"
  },
  {
    type = "recipe",
    name = "basic-transport-belt",
	enabled = false,
	energy_required = 1,
    ingredients =
    {
      {"iron-plate", 2},
      {"iron-gear-wheel", 4}
    },
    result = "basic-transport-belt",
  },
  {
    type = "recipe",
    name = "basic-mining-drill",
	enabled = false,
    energy_required = 9,
    ingredients =
    {
      {"electronic-circuit", 2},
      {"iron-gear-wheel", 10},
      {"iron-plate", 18}
    },
    result = "basic-mining-drill"
  },
  {
    type = "recipe",
    name = "burner-mining-drill",
	energy_required = 8,
    ingredients =
    {
      {"iron-gear-wheel", 4},
      {"iron-plate", 24}
    },
    result = "burner-mining-drill"
  },
  {
    type = "recipe",
    name = "basic-inserter",
    enabled = false,	
	energy_required = 1,
    ingredients =
    {
      {"electronic-circuit", 1},
      {"iron-gear-wheel", 2},
      {"iron-plate", 2}
    },
    result = "basic-inserter"
  },
  {
    type = "recipe",
    name = "burner-inserter",
	energy_required = 1,
    ingredients =
    {
      {"iron-plate", 8},
	  {"iron-gear-wheel", 4}
    },
    result = "burner-inserter"
  },
  {
    type = "recipe",
    name = "pipe",
	energy_required = 1,
    ingredients = {{"iron-plate", 3}},
    result = "pipe"
  },
  {
    type = "recipe",
    name = "offshore-pump",
	energy_required = 2,
    ingredients =
    {
      {"electronic-circuit", 2},
      {"pipe", 2},
      {"iron-gear-wheel", 4},
	  {"iron-plate", 2}
    },
    result = "offshore-pump"
  },
  {
    type = "recipe",
    name = "copper-cable",
    ingredients = {{"copper-plate", 1}},
    result = "copper-cable",
    result_count = 2
  },
  {
    type = "recipe",
    name = "small-electric-pole",
	energy_required = 1,
    ingredients =
    {
      {"wood", 2},
      {"copper-cable", 15}
    },
    result = "small-electric-pole",
  },
  {
    type = "recipe",
    name = "pistol",
    energy_required = 1,
    ingredients =
    {{"iron-plate", 1}},
    result = "pistol"
  },
  {
    type = "recipe",
    name = "submachine-gun",
    enabled = false,
    energy_required = 1,
    ingredients =
    {{"iron-plate", 1}},
    result = "submachine-gun"
  },
  {
    type = "recipe",
    name = "basic-bullet-magazine",
    energy_required = 1,	
    ingredients = {{"iron-plate", 1}},
    result = "basic-bullet-magazine",
  },
  {
    type = "recipe",
    name = "basic-armor",
    enabled = false,
	energy_required = 1,
    ingredients = {{"iron-plate", 1}},
    result = "basic-armor"
  },
  {
    type = "recipe",
    name = "radar",
    enabled = false,	
	energy_required = 27,
    ingredients =
    {
      {"electronic-circuit", 18},
      {"iron-gear-wheel", 36},
      {"iron-plate", 54}
    },
    result = "radar"
  },
  {
    type = "recipe",
    name = "small-lamp",
    enabled = false,
	energy_required = 1,
    ingredients =
    {
      {"electronic-circuit", 1},
      {"iron-plate", 5}
    },
    result = "small-lamp"
  },
  {
    type = "recipe",
    name = "pipe-to-ground",
	energy_required = 12,
    ingredients =
    {{"pipe", 12}},
    result_count = 2,
    result = "pipe-to-ground"
  },
  {
    type = "recipe",
    name = "assembling-machine-1",
    enabled = false,
	energy_required = 18,
    ingredients =
    {
      {"electronic-circuit", 18},
      {"iron-gear-wheel", 18},
      {"iron-plate", 42}
    },
    result = "assembling-machine-1"
  },
  {
    type = "recipe",
    name = "repair-pack",
	energy_required = 1,	
    ingredients =
    {
      {"copper-plate", 1},
      {"iron-plate", 1}
    },
    result = "repair-pack"
  }
}
)
