data:extend(
{
  {
    type = "recipe",
    name = "player-port",
    enabled = false,
    ingredients =
    {
      {"electronic-circuit", 10},
      {"iron-gear-wheel", 5},
      {"iron-plate", 1 }
    },
    result = "player-port"
  },
  {
    type = "recipe",
    name = "fast-transport-belt",
    enabled = false,
	energy_required = 1,
    ingredients =
    {
      {"iron-gear-wheel", 2},
	  {"electronic-circuit", 1},
      {"basic-transport-belt", 1}
    },
    result = "fast-transport-belt"
  },
  {
    type = "recipe",
    name = "express-transport-belt",
    enabled = false,
	energy_required = 1,
    ingredients =
    {
      {"iron-gear-wheel", 2},
	  {"advanced-circuit", 1},
      {"fast-transport-belt", 1}
    },
    result = "express-transport-belt"
  },
  {
    type = "recipe",
    name = "solar-panel",
    enabled = false,	
	energy_required = 9,
    ingredients =
    {
      {"steel-plate", 9},
      {"electronic-circuit", 9},
      {"advanced-circuit", 9}
    },
    result = "solar-panel"
  },
  {
    type = "recipe",
    name = "assembling-machine-2",
    enabled = false,
	energy_required = 18,
    ingredients =
    {
      {"advanced-circuit", 18},
      {"assembling-machine-1", 1}
    },
    result = "assembling-machine-2"
  },
  {
    type = "recipe",
    name = "assembling-machine-3",
    enabled = false,
	energy_required = 18,
    ingredients =
    {
	  {"processing-unit", 18},
      {"assembling-machine-2", 1}
    },
    result = "assembling-machine-3"
  },
  {
    type = "recipe",
    name = "car",
    enabled = false,
	energy_required = 4,
    ingredients =
    {
      {"engine-unit", 1},
      {"iron-plate", 16},
	  {"iron-gear-wheel", 8},
      {"steel-plate", 4}
    },
    result = "car"
  },
  {
    type = "recipe",
    name = "tank",
    enabled = false,
	energy_required = 8,
    ingredients =
    {
      {"engine-unit", 2},
      {"steel-plate", 42},
      {"iron-gear-wheel", 16},
      {"advanced-circuit", 2}
    },
    result = "tank"
  },
  {
    type = "recipe",
    name = "straight-rail",
	enabled = false,
	energy_required = 4,
    ingredients =
    {
      {"stone", 4},
      {"wood", 4},
      {"steel-plate", 4}
    },
    result = "straight-rail",
  },
  {
    type = "recipe",
    name = "curved-rail",
    enabled = false,
	energy_required = 10,
    ingredients = 
	{
		{"stone", 10}, 
		{"wood", 10}, 	
		{"steel-plate", 10}
	},
    result = "curved-rail",
  },
  {
    type = "recipe",
    name = "diesel-locomotive",
    enabled = false,
	energy_required = 14,
    ingredients =
    {
      {"engine-unit", 3},
      {"electronic-circuit", 14},
	  {"iron-gear-wheel", 56},
      {"steel-plate", 46}
    },
    result = "diesel-locomotive"
  },
  {
    type = "recipe",
    name = "cargo-wagon",
    enabled = false,
	energy_required = 14,	
    ingredients =
    {
      {"iron-gear-wheel", 28},
      {"steel-plate", 46}
    },
    result = "cargo-wagon"
  },
  {
    type = "recipe",
    name = "train-stop",
    enabled = false,
	energy_required = 2,
    ingredients =
    {
      {"electronic-circuit", 2},
      {"steel-plate", 2}
    },
    result = "train-stop"
  },
  {
    type = "recipe",
    name = "rail-signal",
    enabled = false,
	energy_required = 1,
    ingredients =
    {
      {"electronic-circuit", 3},
      {"iron-plate", 5},
    },
    result = "rail-signal"
  },
  {
    type = "recipe",
    name = "rail-chain-signal",
    enabled = false,
	energy_required = 1,
    ingredients =
    {
      {"electronic-circuit", 1},
      {"iron-plate", 5},
    },
    result = "rail-chain-signal"
  },
  {
    type = "recipe",
    name = "heavy-armor",
    enabled = false,
    energy_required = 1,
    ingredients = {{ "iron-plate", 1}, {"steel-plate", 1}},
    result = "heavy-armor"
  },
  {
    type = "recipe",
    name = "basic-modular-armor",
    enabled = false,
    energy_required = 1,
    ingredients = {{ "advanced-circuit", 4}, {"steel-plate", 2}},
    result = "basic-modular-armor"
  },
  {
    type = "recipe",
    name = "power-armor",
    enabled = false,
    energy_required = 1,
    ingredients = {{ "processing-unit", 4}, {"electric-engine-unit", 1}, {"steel-plate", 4}},
    result = "power-armor"
  },
  {
    type = "recipe",
    name = "power-armor-mk2",
    enabled = false,
    energy_required = 1,
    ingredients = {{ "effectivity-module-3", 1}, {"speed-module-3", 1}, {"processing-unit", 4}, {"steel-plate", 4}},
    result = "power-armor-mk2"
  },
  {
    type = "recipe",
    name = "iron-chest",
    enabled = true,
	energy_required = 1,
    ingredients = {{"iron-plate", 6}},
    result = "iron-chest"
  },
  {
    type = "recipe",
    name = "steel-chest",
    enabled = false,
	energy_required = 1,
    ingredients = {{"steel-plate", 6}},
    result = "steel-chest"
  },
  {
    type = "recipe",
    name = "smart-chest",
    enabled = false,
	energy_required = 1,
    ingredients =
    {
      {"steel-chest", 1},
      {"electronic-circuit", 1}
    },
    result = "smart-chest"
  },
  {
    type = "recipe",
    name = "stone-wall",
    enabled = false,
	energy_required = 1,
    ingredients = {{"stone-brick", 4}},
    result = "stone-wall"
  },
  {
    type = "recipe",
    name = "gate",
    enabled = false,
	energy_required = 1,
    ingredients = {{"stone-wall", 1}, {"steel-plate", 2}, {"electronic-circuit", 1}},
    result = "gate"
  },
  {
    type = "recipe",
    name = "flame-thrower",
    enabled = false,
    energy_required = 1,
    ingredients =
    {
      {"steel-plate", 1}
    },
    result = "flame-thrower"
  },
  {
    type = "recipe",
    name = "land-mine",
    enabled = false,
    energy_required = 1,
    ingredients =
    {
      {"steel-plate", 2},
      {"explosives", 1}
    },
    result = "land-mine",
  },
  {
    type = "recipe",
    name = "rocket-launcher",
    enabled = false,
    energy_required = 1,
    ingredients =
    {
      {"steel-plate", 1},
      {"electronic-circuit", 1}
    },
    result = "rocket-launcher"
  },
  {
    type = "recipe",
    name = "shotgun",
    enabled = false,
    energy_required = 1,
    ingredients =
    {
      {"iron-plate", 1},
      {"wood", 2}
    },
    result = "shotgun"
  },
  {
    type = "recipe",
    name = "combat-shotgun",
    enabled = false,
    energy_required = 1,
    ingredients =
    {
      {"steel-plate", 1}
    },
    result = "combat-shotgun"
  },
  {
    type = "recipe",
    name = "railgun",
    enabled = false,
    energy_required = 1,
    ingredients =
    {
      {"steel-plate", 1},
      {"advanced-circuit", 1}
    },
    result = "railgun"
  },
  {
    type = "recipe",
    name = "science-pack-1",
    energy_required = 5,
    ingredients =
    {
      {"iron-plate", 10},
      {"copper-plate", 10}
    },
    result = "science-pack-1"
  },
  {
    type = "recipe",
    name = "science-pack-2",
	enabled = false,
    energy_required = 5,
    ingredients =
    {
      {"stone-brick", 10},
	  {"steel-plate", 10}
    },
    result = "science-pack-2"
  },
  {
    type = "recipe",
    name = "science-pack-3",
    enabled = false,
    energy_required = 5,
    ingredients =
    {
      {"concrete", 10},	
      {"sulfur", 10},
	  {"plastic-bar", 10}
    },
    result = "science-pack-3"
  },
  {
    type = "recipe",
    name = "alien-science-pack",
    enabled = false,
    energy_required = 5,
    ingredients = 
	{
		{"science-pack-1", 1},
		{"science-pack-2", 1},
		{"science-pack-3", 1}
	},
    result = "alien-science-pack",
  },
  {
    type = "recipe",
    name = "lab",
    energy_required = 18,
    ingredients =
    {
      {"electronic-circuit", 18},
      {"iron-plate", 42}
    },
    result = "lab"
  },
  {
    type = "recipe",
    name = "red-wire",
    enabled = false,
    ingredients =
    {
      {"copper-cable", 1}
    },
    result = "red-wire"
  },
  {
    type = "recipe",
    name = "green-wire",
    enabled = false,
    ingredients =
    {
      {"copper-cable", 1}
    },
    result = "green-wire"
  },
  {
    type = "recipe",
    name = "basic-transport-belt-to-ground",
    enabled = false,
    energy_required = 12,
    ingredients =
    {
      {"iron-plate", 8},
      {"basic-transport-belt", 12}
    },
    result_count = 2,
    result = "basic-transport-belt-to-ground"
  },
  {
    type = "recipe",
    name = "fast-transport-belt-to-ground",
    enabled = false,
	energy_required = 12,
    ingredients =
    {
      {"iron-gear-wheel", 12},
	  {"electronic-circuit", 12},
      {"basic-transport-belt-to-ground", 2}
    },
    result_count = 2,
    result = "fast-transport-belt-to-ground"
  },
  {
    type = "recipe",
    name = "express-transport-belt-to-ground",	
    enabled = false,
	energy_required = 12,
    ingredients =
    {
      {"iron-gear-wheel", 12},
      {"fast-transport-belt-to-ground", 2},
	  {"advanced-circuit", 12}
    },
    result_count = 2,
    result = "express-transport-belt-to-ground"
  },
  {
    type = "recipe",
    name = "basic-splitter",
    enabled = false,
    energy_required = 2,
    ingredients =
    {
      {"electronic-circuit", 2},
      {"iron-plate", 8},
	  {"iron-gear-wheel", 8},
      {"basic-transport-belt", 2}
    },
    result = "basic-splitter"
  },
  {
    type = "recipe",
    name = "fast-splitter",
    enabled = false,
    energy_required = 2,
    ingredients =
    {
      {"basic-splitter", 1},
      {"advanced-circuit", 2}
    },
    result = "fast-splitter"
  },
  {
    type = "recipe",
    name = "express-splitter",
    enabled = false,
    energy_required = 2,
    ingredients =
    {
      {"fast-splitter", 1},
      {"processing-unit", 2},
    },
    result = "express-splitter"
  },
  {
    type = "recipe",
    name = "advanced-circuit",
    enabled = false,
	energy_required = 1,
    ingredients =
    {
      {"steel-plate", 1},
      {"copper-cable", 2}
    },
    result = "advanced-circuit"
  },
  {
    type = "recipe",
    name = "processing-unit",
    enabled = false,
    energy_required = 1,
    ingredients =
    {
	  {"plastic-bar", 1},
	  {"copper-cable", 2}
    },
    result = "processing-unit"
  },
  {
    type = "recipe",
    name = "logistic-robot",
    enabled = false,
	energy_required = 1,
    ingredients =
    {
      {"flying-robot-frame", 1},
      {"processing-unit", 1}
    },
    result = "logistic-robot"
  },
  {
    type = "recipe",
    name = "construction-robot",
    enabled = false,
	energy_required = 1,
    ingredients =
    {
      {"flying-robot-frame", 1},
      {"processing-unit", 1}
    },
    result = "construction-robot"
  },
  {
    type = "recipe",
    name = "logistic-chest-passive-provider",
    enabled = false,
	energy_required = 1,
    ingredients =
    {
      {"smart-chest", 1},
      {"advanced-circuit", 1}
    },
    result = "logistic-chest-passive-provider"
  },
  {
    type = "recipe",
    name = "logistic-chest-active-provider",
    enabled = false,
	energy_required = 1,
    ingredients =
    {
      {"smart-chest", 1},
      {"advanced-circuit", 1}
    },
    result = "logistic-chest-active-provider"
  },
  {
    type = "recipe",
    name = "logistic-chest-storage",
    enabled = false,
	energy_required = 1,
    ingredients =
    {
      {"smart-chest", 1},
      {"advanced-circuit", 1}
    },
    result = "logistic-chest-storage"
  },
  {
    type = "recipe",
    name = "logistic-chest-requester",
    enabled = false,
	energy_required = 1,
    ingredients =
    {
      {"smart-chest", 1},
      {"advanced-circuit", 1}
    },
    result = "logistic-chest-requester"
  },
  {
    type = "recipe",
    name = "rocket-silo",
    enabled = false,
    ingredients =
    {
      {"steel-plate", 1000},
      {"concrete", 1000},
      {"processing-unit", 200},
    },
    energy_required = 100,
    result = "rocket-silo"
  },
  {
    type = "recipe",
    name = "roboport",
    enabled = false,
	energy_required = 32,
    ingredients =
    {
      {"steel-plate", 64},
      {"advanced-circuit", 32},
	  {"electronic-circuit", 64}
    },
    result = "roboport",
  },
  {
    type = "recipe",
    name = "steel-axe",
    enabled = false,
	energy_required = 1,
    ingredients =
    {
      {"steel-plate", 1},
      {"iron-stick", 2}
    },
    result = "steel-axe"
  },
  {
    type = "recipe",
    name = "big-electric-pole",
    enabled = false,
	energy_required = 12,
    ingredients =
    {
      {"steel-plate", 12},
      {"copper-cable", 60}
    },
    result = "big-electric-pole"
  },
  {
    type = "recipe",
    name = "substation",
    enabled = false,
	energy_required = 12,
    ingredients =
    {
      {"steel-plate", 24},
	  {"processing-unit", 12},
      {"advanced-circuit", 12},
	  {"electronic-circuit", 12},
	  {"copper-cable", 28}
    },
    result = "substation"
  },
  {
    type = "recipe",
    name = "medium-electric-pole",
    enabled = false,
	energy_required = 4,
    ingredients =
    {
      {"steel-plate", 4},
      {"copper-cable", 18}
    },
    result = "medium-electric-pole"
  },
  {
    type = "recipe",
    name = "basic-accumulator",
    energy_required = 8,
    enabled = false,
    ingredients =
    {
      {"steel-plate", 24},
      {"battery", 8}
    },
    result = "basic-accumulator"
  },
  {
    type = "recipe",
    name = "steel-furnace",
	enabled = false,
    energy_required = 8,	
    ingredients = {{"steel-plate", 24}, {"stone-furnace", 1}},
    result = "steel-furnace",
  },
  {
    type = "recipe",
    name = "electric-furnace",
    enabled = false,	
    energy_required = 18,	
    ingredients = {
		{"steel-plate", 42}, 
		{"processing-unit", 18},
		{"advanced-circuit", 18}, 
		{"electronic-circuit", 18}, 
		{"concrete", 42},},
    result = "electric-furnace",
  },
  {
    type = "recipe",
    name = "basic-beacon",
    enabled = false,
    energy_required = 8,
    ingredients =
    {
      {"electronic-circuit", 16},
      {"advanced-circuit", 8},
      {"steel-plate", 10},
	  {"iron-plate",20},
    },
    result = "basic-beacon"
  },
  {
    type = "recipe",
    name = "blueprint",
    energy_required = 1,
    ingredients =
    {
		{"processing-unit", 1},
    },
    result = "blueprint",
    enabled = false
  },
  {
    type = "recipe",
    name = "deconstruction-planner",
    energy_required = 1,
    ingredients =
    {
		{"processing-unit", 1},
    },
    result = "deconstruction-planner",
    enabled = false
  },
  {
    type = "recipe",
    name = "pumpjack",
	enabled = false,
    energy_required = 6,
    ingredients =
    {
      {"steel-plate", 10},
      {"iron-gear-wheel", 6},
      {"electronic-circuit", 2},
      {"pipe", 10}
    },
    result = "pumpjack",
  },
  {
    type = "recipe",
    name = "oil-refinery",
    enabled = false,	
    energy_required = 75,
    ingredients =
    {
      {"steel-plate", 150},
      {"electronic-circuit", 75},
	  {"advanced-circuit", 75},
      {"pipe", 75}
    },
    result = "oil-refinery",
  },
  {
    type = "recipe",
    name = "engine-unit",
    enabled = false,	
    energy_required = 1,
    ingredients =
    {
      {"steel-plate", 1},
      {"iron-gear-wheel", 2},
      {"pipe", 1}
    },
    result = "engine-unit",
  },
  {
    type = "recipe",
    name = "electric-engine-unit",
    enabled = false,	
    energy_required = 1,
    ingredients =
    {
      {"steel-plate", 1},
      {"iron-gear-wheel", 2},
      {"electronic-circuit", 1}
    },
    result = "electric-engine-unit",
  },
  {
    type = "recipe",
    name = "flying-robot-frame",
    enabled = false,	
    energy_required = 1,
    ingredients =
    {
      {"electric-engine-unit", 1},
      {"battery", 1},
      {"steel-plate", 1},
      {"advanced-circuit", 1}
    },
    result = "flying-robot-frame",
  },
  {
    type = "recipe",
    name = "explosives",
    enabled = false,	
    energy_required = 1,
    category = "crafting-with-fluid",
    ingredients =
    {
      {type="item", name="sulfur", amount=1},
      {type="item", name="coal", amount=1},
      {type="fluid", name="water", amount=1},
    },
    result= "explosives"
  },
  {
    type = "recipe",
    name = "battery",
    category = "crafting-with-fluid",
    enabled = false,	
    energy_required = 1,
    ingredients =
    {
      {type="fluid", name="sulfuric-acid", amount=1},
      {"iron-plate", 1},
      {"copper-plate", 1}
    },
    result= "battery"
  },
  {
    type = "recipe",
    name = "storage-tank",
    enabled = false,	
    energy_required = 18,
    ingredients =
    {
      {"steel-plate", 42},
	  {"pipe", 4}
    },
    result= "storage-tank"
  },
  {
    type = "recipe",
    name = "small-pump",
    enabled = false,	
    energy_required = 1,
    ingredients =
    {
      {"electric-engine-unit", 1},
      {"steel-plate", 1},
      {"pipe", 1}
    },
    result= "small-pump"
  },
  {
    type = "recipe",
    name = "chemical-plant",
    enabled = false,	
    energy_required = 18,
    ingredients =
    {
      {"steel-plate", 42}, 
      {"iron-gear-wheel", 36},
      {"electronic-circuit", 18},
      {"pipe", 10}
    },
    result= "chemical-plant"
  },
  {
    type = "recipe",
    name = "arithmetic-combinator",
    enabled = "false",
    ingredients =
    {
      {"copper-cable", 5},
      {"electronic-circuit", 5},
    },
    result = "arithmetic-combinator"
  },
  {
    type = "recipe",
    name = "decider-combinator",
    enabled = "false",
    ingredients =
    {
      {"copper-cable", 5},
      {"electronic-circuit", 5},
    },
    result = "decider-combinator"
  },
  {
    type = "recipe",
    name = "constant-combinator",
    enabled = "false",
    ingredients =
    {
      {"copper-cable", 5},
      {"electronic-circuit", 2},
    },
    result = "constant-combinator"
  },
  {
    type = "recipe",
    name = "low-density-structure",
    energy_required = 1,
    enabled = false,
    category = "crafting",
    ingredients =
    {
      {"steel-plate", 1},
      {"copper-plate", 1},
      {"plastic-bar", 1}
    },
    result= "low-density-structure"
  },
  {
    type = "recipe",
    name = "rocket-fuel",
    energy_required = 1,
    enabled = false,
    category = "crafting-with-fluid",
    ingredients =
    {
      {"solid-fuel", 1},
      {type="fluid", name="petroleum-gas", amount=1}
    },
    result= "rocket-fuel"
  },
  {
    type = "recipe",
    name = "rocket-control-unit",
    energy_required = 1,
    enabled = false,
    category = "crafting",
    ingredients =
    {
      {"processing-unit", 1},
    },
    result= "rocket-control-unit"
  },
  {
    type = "recipe",
    name = "rocket-part",
    energy_required = 1,
    enabled = false,
    hidden = true,
    category = "rocket-building",
    ingredients =
    {
      {"low-density-structure", 1},
      {"rocket-fuel", 1},
      {"rocket-control-unit", 1},
	  {"alien-science-pack", 1}
    },
    result= "rocket-part"
  },
  {
    type = "recipe",
    name = "satellite",
    energy_required = 1,
    enabled = false,
    category = "crafting",
    ingredients =
    {
      {"low-density-structure", 1},
	  {"rocket-control-unit", 1},
	  {"alien-science-pack", 1}
    },
    result= "satellite"
  },
  {
    type = "recipe",
    name = "concrete",
    category = "crafting-with-fluid",	
    enabled = false,	
    energy_required = 1,
    ingredients =
    {
      {"stone", 1},
      {type="fluid", name="water", amount=1}
    },
    result= "concrete",
  },
    {
    type = "recipe",
    name = "hyper-transport-belt",
    category = "crafting-with-fluid",
    enabled = false,
	energy_required = 1,
    ingredients =
    {
      {"express-transport-belt", 1},
	  {"processing-unit", 1},
      {type="fluid", name="lubricant", amount=1}
    },
    result = "hyper-transport-belt"
  },
    {
    type = "recipe",
    name = "hyper-transport-belt-to-ground",
	category = "crafting-with-fluid",
    enabled = false,
	energy_required = 12,
    ingredients =
    {
      {"express-transport-belt-to-ground", 2},
	  {"processing-unit", 12},
	  {type="fluid", name="lubricant", amount= 12}
    },
    result_count = 2,
    result = "express-transport-belt-to-ground"
  },
    {
    type = "recipe",
    name = "hyper-splitter",
    category = "crafting-with-fluid",
    enabled = false,
    energy_required = 2,
    ingredients =
    {
      {"express-splitter", 1},
      {type="fluid", name="lubricant", amount=2}
    },
    result = "express-splitter"
  },
}
)
