data:extend(
{
  {
    type = "technology",
    name = "energy-shield-equipment",
    icon = "__base__/graphics/technology/energy-shield-equipment.png",
    prerequisites = {"advanced-electronics", "solar-panel-equipment"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "energy-shield-equipment"
      }
    },
    unit =
    {
      count = 50,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}},
      time = 60
    },
    order = "g-e-a"
  },
  {
    type = "technology",
    name = "night-vision-equipment",
    icon = "__base__/graphics/technology/night-vision-equipment.png",
    prerequisites = {"advanced-electronics", "solar-panel-equipment"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "night-vision-equipment"
      }
    },
    unit =
    {
      count = 50,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}},
      time = 60
    },
    order = "g-g"
  },
  {
    type = "technology",
    name = "energy-shield-mk2-equipment",
    icon = "__base__/graphics/technology/energy-shield-mk2-equipment.png",
    prerequisites = {"energy-shield-equipment", "advanced-electronics-2"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "energy-shield-mk2-equipment"
      }
    },
    unit =
    {
      count = 500,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}},
      time = 60
    },
    order = "g-e-b"
  },
  {
    type = "technology",
    name = "battery-equipment",
    icon = "__base__/graphics/technology/battery-equipment.png",
    prerequisites = {"battery", "solar-panel-equipment"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "battery-equipment"
      }
    },
    unit =
    {
      count = 50,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}},
      time = 60
    },
    order = "g-i-a"
  },
  {
    type = "technology",
    name = "battery-mk2-equipment",
    icon = "__base__/graphics/technology/battery-mk2-equipment.png",
    prerequisites = {"battery-equipment", "advanced-electronics-2"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "battery-mk2-equipment"
      }
    },
    unit =
    {
      count = 500,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}},
      time = 60
    },
    order = "g-i-b"
  },
  {
    type = "technology",
    name = "solar-panel-equipment",
    icon = "__base__/graphics/technology/solar-panel-equipment.png",
    prerequisites = {"armor-making-3"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "solar-panel-equipment"
      }
    },
    unit =
    {
      count = 50,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}},
      time = 60
    },
    order = "g-k"
  },
  {
    type = "technology",
    name = "basic-laser-defense-equipment",
    icon = "__base__/graphics/technology/basic-laser-defense-equipment.png",
    prerequisites = {"laser-turrets", "solar-panel-equipment", "advanced-electronics-2"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "basic-laser-defense-equipment"
      }
    },
    unit =
    {
      count = 500,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}},
      time = 60
    },
    order = "g-m"
  },
  {
    type = "technology",
    name = "basic-electric-discharge-defense-equipment",
    icon = "__base__/graphics/technology/basic-electric-discharge-defense-equipment.png",
    prerequisites = {"laser-turrets", "solar-panel-equipment", "advanced-electronics-2"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "basic-electric-discharge-defense-equipment",
      },
      {
        type = "unlock-recipe",
        recipe = "basic-electric-discharge-defense-remote"
      }
    },
    unit =
    {
      count = 5000,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}, {"alien-science-pack", 1}},
      time = 60
    },
    order = "g-o"
  },
  {
    type = "technology",
    name = "fusion-reactor-equipment",
    icon = "__base__/graphics/technology/fusion-reactor-equipment.png",
    prerequisites = {"power-armor"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "fusion-reactor-equipment"
      }
    },
    unit =
    {
      count = 500,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}},
      time = 60
    },
    order = "g-l"
  },
  {
    type = "technology",
    name = "basic-exoskeleton-equipment",
    icon = "__base__/graphics/technology/basic-exoskeleton-equipment.png",
    prerequisites = {"solar-panel-equipment", "electric-engine", "advanced-electronics-2"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "basic-exoskeleton-equipment"
      }
    },
    unit =
    {
      count = 500,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}},
      time = 60
    },
    order = "g-h"
  },
  {
    type = "technology",
    name = "personal-roboport-equipment",
    icon = "__base__/graphics/technology/personal-roboport-equipment.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "personal-roboport-equipment"
      },
    },
    prerequisites = { "construction-robotics", "solar-panel-equipment" },
    unit = {
      count = 500,
      ingredients = {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
      },
      time = 60
    },
    order = "c-k-d-zz",
  }  
}
)
